{
  "env" : {
    "job.name" : "SQL-SQL-NULL替换-列选择",
    "job.mode" : "BATCH",
    "execution.parallelism" : 1,
    "execution.restart.strategy" : "no",
    "execution.checkpoint.unaligned" : "true"
  },
  "source" : [ {
    "url" : "jdbc:sqlserver://121.204.249.37:1433;DatabaseName=PlatomixDB",
    "driver" : "com.microsoft.sqlserver.jdbc.SQLServerDriver",
    "batch_size" : 3000,
    "auto_commit" : true,
    "password" : "Platomix@sqlserver123",
    "is_exactly_once" : false,
    "query" : "select t_id,id,name,isdelete,isbackup,spellname,uid,create_time,modify_time,onlyid,catalogid from TB_GOODS",
    "fetch_size" : 8000,
    "plugin_name" : "Jdbc",
    "user" : "SA",
    "result_table_name" : "table_jdbc_3463"
  } ],
  "transform" : [ {
    "plugin_name" : "ReplaceNull",
    "replace_field" : [ {
      "column" : "spellname",
      "replacement" : "nospell"
    } ],
    "source_table_name" : [ "table_jdbc_3463" ],
    "result_table_name" : "table_replacenull_3464"
  }, {
    "fields" : [ {
      "field" : "name",
      "newFiled" : "name"
    }, {
      "field" : "isdelete",
      "newFiled" : "isdelete"
    }, {
      "field" : "isbackup",
      "newFiled" : "isbackup"
    }, {
      "field" : "spellname",
      "newFiled" : "spellname"
    }, {
      "field" : "catalogid",
      "newFiled" : "catalogid"
    } ],
    "plugin_name" : "FieldSelect",
    "source_table_name" : [ "table_replacenull_3464" ],
    "result_table_name" : "table_fieldselect_3465"
  } ],
  "sink" : [ {
    "url" : "jdbc:sqlserver://121.204.249.37:1433;DatabaseName=PlatomixDB",
    "driver" : "com.microsoft.sqlserver.jdbc.SQLServerDriver",
    "batch_size" : 3000,
    "auto_commit" : true,
    "password" : "Platomix@sqlserver123",
    "is_exactly_once" : false,
    "query" : "insert into tb_goods_1220_wyp3(name,isdelete,isbackup,spellname,catalogid) values(?,?,?,?,?)",
    "database" : "dbo",
    "table" : "tb_goods_1220_wyp3",
    "support_upsert_by_query_primary_key_exist" : false,
    "generate_sink_sql" : false,
    "plugin_name" : "Jdbc",
    "user" : "SA",
    "source_table_name" : [ "table_fieldselect_3465" ]
  } ]
}
